Doomsday Engine - Feature #1622

Feature # 1648 (Progressed): Complete vanilla DOOM emulation
Vanilla depth shading

2013-10-22 07:46 - skyjake

Status: New Start date: 2013-10-22
Priority: Urgent % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Rendering

Description

We should replicate the original games' depth shading as closely as possible.

In practice, the depth shading gradient could be stored in a texture that is multiplied into the other lighting. (A per-pixel shader to
calculate it programmatically might be a waste of GPU time; however it shouldn't require a very complex function.)

History

#1 - 2013-10-22 07:47 - skyjake

- Parent task set to #7

#2 - 2016-03-27 08:40 - skyjake

- Target version set to Rendering

#3 - 2019-11-29 23:23 - skyjake
- Parent task changed from #7 to #1648
